Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Module::Runtime

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • DBI
  • Data::Dumper::Concise
  • Test::Pod

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
DBIx::Class::DeploymentHandler Extensible DBIx::Class deployment 0.002218 metacpan
DBIx::Class::DeploymentHandler::Dad Parent class for DeploymentHandlers 0.002218 metacpan
DBIx::Class::DeploymentHandler::DeployMethod::SQL::Translator Manage your SQL and Perl migrations in nicely laid out directories 0.002218 metacpan
DBIx::Class::DeploymentHandler::DeployMethod::SQL::Translator::Deprecated (DEPRECATED) Use this if you are stuck in the past 0.002218 metacpan
DBIx::Class::DeploymentHandler::DeployMethod::SQL::Translator::ScriptHelpers CodeRef Transforms for common use-cases in DBICDH Migrations 0.002218 metacpan
DBIx::Class::DeploymentHandler::Deprecated (DEPRECATED) Use this if you are stuck in the past 0.002218 metacpan
DBIx::Class::DeploymentHandler::HandlesDeploy Interface for deploy methods 0.002218 metacpan
DBIx::Class::DeploymentHandler::HandlesVersionStorage Interface for version storage methods 0.002218 metacpan
DBIx::Class::DeploymentHandler::HandlesVersioning Interface for version methods 0.002218 metacpan
DBIx::Class::DeploymentHandler::LogImporter 0.002218 metacpan
DBIx::Class::DeploymentHandler::LogRouter 0.002218 metacpan
DBIx::Class::DeploymentHandler::Logger 0.002218 metacpan
DBIx::Class::DeploymentHandler::Types Types internal to DBIx::Class::DeploymentHandler 0.002218 metacpan
DBIx::Class::DeploymentHandler::VersionHandler::DatabaseToSchemaVersions Go straight from Database to Schema version 0.002218 metacpan
DBIx::Class::DeploymentHandler::VersionHandler::ExplicitVersions Define your own list of versions to use for migrations 0.002218 metacpan
DBIx::Class::DeploymentHandler::VersionHandler::Monotonic Obvious version progressions 0.002218 metacpan
DBIx::Class::DeploymentHandler::VersionStorage::Deprecated (DEPRECATED) Use this if you are stuck in the past 0.002218 metacpan
DBIx::Class::DeploymentHandler::VersionStorage::Deprecated::Component (DEPRECATED) Attach this component to your schema to ensure you stay up to date 0.002218 metacpan
DBIx::Class::DeploymentHandler::VersionStorage::Deprecated::VersionResult (DEPRECATED) The old way to store versions in the database 0.002218 metacpan
DBIx::Class::DeploymentHandler::VersionStorage::Deprecated::VersionResultSet (DEPRECATED) Predefined searches to find what you want from the version storage 0.002218 metacpan
DBIx::Class::DeploymentHandler::VersionStorage::Standard Version storage that does the normal stuff 0.002218 metacpan
DBIx::Class::DeploymentHandler::VersionStorage::Standard::Component Attach this component to your schema to ensure you stay up to date 0.002218 metacpan
DBIx::Class::DeploymentHandler::VersionStorage::Standard::VersionResult The typical way to store versions in the database 0.002218 metacpan
DBIx::Class::DeploymentHandler::VersionStorage::Standard::VersionResultSet Predefined searches to find what you want from the version storage 0.002218 metacpan
DBIx::Class::DeploymentHandler::WithApplicatorDumple 0.002218 metacpan
DBIx::Class::DeploymentHandler::WithReasonableDefaults Make default arguments to a few methods sensible 0.002218 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan
cpanfile metacpan
dist.ini metacpan